Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/sessions
現在のアカウント配下のすべての Session 一覧を取得します。ページネーションをサポートし、結果は作成時刻の降順(新しい順)で返されます。
ヘッダー
| 名称 | 必須 | 値 |
|---|
| Authorization | はい | Bearer $QODER_PAT |
クエリパラメータ
| パラメータ | 型 | 必須 | 説明 |
|---|
limit | integer | いいえ | 返却件数の上限、デフォルト 20 |
after_id | string | いいえ | カーソルページネーション:この ID 以降のレコードを返す |
before_id | string | いいえ | カーソルページネーション:この ID 以前のレコードを返す |
リクエスト例
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/sessions?limit=3" \
-H "Authorization: Bearer $QODER_PAT"
レスポンス例
HTTP 200 OK
{
"data": [
{
"id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
"type": "session",
"agent_id": "agent_019e390add9f7bac9b6cc806db46fcbd",
"agent": { "..." },
"environment_id": "env_019e2590d33f711fabf42f2857cecd8a",
"title": "API-doc-verification-session",
"status": "idle",
"resources": [],
"vault_ids": [],
"memory_store_ids": [],
"usage": { "input_tokens": 0, "output_tokens": 0, "..." },
"created_at": "2026-05-18T15:26:15.747298Z",
"updated_at": "2026-05-18T15:26:15.747298Z"
}
],
"first_id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
"last_id": "sess_019e259100f573c08b0b20005cce9828",
"has_more": false
}
ページネーションフィールド
| フィールド | 型 | 説明 |
|---|
data | array | Session オブジェクトリスト |
first_id | string | 現在ページ先頭レコードの ID |
last_id | string | 現在ページ末尾レコードの ID |
has_more | boolean | さらにレコードがあるかどうか |
last_id を次回リクエストの after_id パラメータとして使用すると、後方ページネーションを実現できます。
エラーレスポンス
| HTTP | type | 説明 |
|---|
| 401 | authentication_error | PAT が無効または期限切れ |